package com.steering.model.lims;
/**
 * 数据库表M_UNIT_T所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-09-12
 */
@SuppressWarnings("serial")
public class MUnitTEntity implements java.io.Serializable {
    /**
     * 单位编码
     */
    private String unitcode = "";
    /**
     * 单位名称
     */
    private String unitname = "";
    /**
     * erp编码
     */
    private String erpcode = "";
    /**
     * 单位类型 0=不区分类型 1=供应商 2=销售客户 3=厂内单位
     */
    private String unittype = "";
    /**
     * 使用次数
     */
    private String usercount = "";
    /**
     * 更新时间
     */
    private String uptime = "";
    /**
     * 更新人编码
     */
    private String upoperatorid = "";
    /**
     * 更新人
     */
    private String upoperator = "";
    /**
     * 是否有效0作废，1没有作废
     */
    private String validflag = "";
    /**
     * 记录类型 0=自动上传 1=手工维护
     */
    private String recordtype = "";
    /**
     * 更新时间戳
     */
    private String uptimestamp = "";

    /**
     * 单位编码
     * @return value
     */
    public String getUnitcode() {
        return unitcode;
    }

    /**
     * 单位编码
     * @param unitcode value
     */
    public void setUnitcode(String unitcode) {
        this.unitcode = unitcode;
    }

    /**
     * 单位名称
     * @return value
     */
    public String getUnitname() {
        return unitname;
    }

    /**
     * 单位名称
     * @param unitname value
     */
    public void setUnitname(String unitname) {
        this.unitname = unitname;
    }

    /**
     * erp编码
     * @return value
     */
    public String getErpcode() {
        return erpcode;
    }

    /**
     * erp编码
     * @param erpcode value
     */
    public void setErpcode(String erpcode) {
        this.erpcode = erpcode;
    }

    /**
     * 单位类型 0=不区分类型 1=供应商 2=销售客户 3=厂内单位
     * @return value
     */
    public String getUnittype() {
        return unittype;
    }

    /**
     * 单位类型 0=不区分类型 1=供应商 2=销售客户 3=厂内单位
     * @param unittype value
     */
    public void setUnittype(String unittype) {
        this.unittype = unittype;
    }

    /**
     * 使用次数
     * @return value
     */
    public String getUsercount() {
        return usercount;
    }

    /**
     * 使用次数
     * @param usercount value
     */
    public void setUsercount(String usercount) {
        this.usercount = usercount;
    }

    /**
     * 更新时间
     * @return value
     */
    public String getUptime() {
        return uptime;
    }

    /**
     * 更新时间
     * @param uptime value
     */
    public void setUptime(String uptime) {
        this.uptime = uptime;
    }

    /**
     * 更新人编码
     * @return value
     */
    public String getUpoperatorid() {
        return upoperatorid;
    }

    /**
     * 更新人编码
     * @param upoperatorid value
     */
    public void setUpoperatorid(String upoperatorid) {
        this.upoperatorid = upoperatorid;
    }

    /**
     * 更新人
     * @return value
     */
    public String getUpoperator() {
        return upoperator;
    }

    /**
     * 更新人
     * @param upoperator value
     */
    public void setUpoperator(String upoperator) {
        this.upoperator = upoperator;
    }

    /**
     * 是否有效0作废，1没有作废
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 是否有效0作废，1没有作废
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 记录类型 0=自动上传 1=手工维护
     * @return value
     */
    public String getRecordtype() {
        return recordtype;
    }

    /**
     * 记录类型 0=自动上传 1=手工维护
     * @param recordtype value
     */
    public void setRecordtype(String recordtype) {
        this.recordtype = recordtype;
    }

    /**
     * 更新时间戳
     * @return value
     */
    public String getUptimestamp() {
        return uptimestamp;
    }

    /**
     * 更新时间戳
     * @param uptimestamp value
     */
    public void setUptimestamp(String uptimestamp) {
        this.uptimestamp = uptimestamp;
    }
}